# LandTransferData

랜드 이동시 전달할 데이터 구조에요.

## **함수**

<br>

| **ObjectList DataArray()** |
| -------------------------- |

데이터 리스트에요(key value pair 에요).

<br>

| **number DataCount()** |
| ---------------------- |

데이터 개수에요.

\-- 샘플 --

```lua
local function TeleportFinish(player, TransferData)
    if player == nil then
        return
    end

    print("Teleport Data Count : ", TransferData:DataCount())	--AddLandTransferData 로 설정한 데이터의 개수에요.

    for i, key, value in pairs(TransferData:DataArray()) do
        print(key)		--AddLandTransferData 로 설정한 데이터의 Key 값이에요.
        print(value)	--AddLandTransferData 로 설정한 데이터의 Value 값이에요.
    end
end
Game.OnTeleportFinishEvent:Connect(TeleportFinish) --텔레포트가 끝났을 때 이전 랜드에서 설정한 데이터를 받을 함수를 연결해요.
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ditoland-utplus.gitbook.io/ditoland/api-reference/common/landtransferdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
